{
  "version": "1",
  "metadata": {
    "marimo_version": "0.15.1"
  },
  "cells": [
    {
      "id": "Hbol",
      "code_hash": "1d0db38904205bec4d6f6f6a1f6cec3e",
      "outputs": [
        {
          "type": "data",
          "data": {
            "text/plain": ""
          }
        }
      ],
      "console": []
    },
    {
      "id": "SxIG",
      "code_hash": "efe8154a7e5e9d0ed3fd8ea24436575c",
      "outputs": [
        {
          "type": "data",
          "data": {
            "text/html": "<span class=\"markdown prose dark:prose-invert\"><h1 id=\"datasamples-ejemplos-aleatorios-de-datos-para-practicar\">DataSamples: Ejemplos aleatorios de datos para practicar</h1></span>"
          }
        }
      ],
      "console": []
    },
    {
      "id": "ZxFu",
      "code_hash": "76de51e844e4cab5c1edb5ad037c49a2",
      "outputs": [
        {
          "type": "data",
          "data": {
            "text/html": "<span class=\"markdown prose dark:prose-invert\"><span class=\"paragraph\">Datos generados con faker con tipos de datos de todo tipo que te puedes encontrar por Internet</span></span>"
          }
        }
      ],
      "console": []
    },
    {
      "id": "CKsg",
      "code_hash": "7a3ce33eaa78b01daf033f316285af51",
      "outputs": [
        {
          "type": "data",
          "data": {
            "text/html": "<marimo-ui-element object-id='CKsg-0' random-id='7d76ca6e-aec2-1e32-84cb-f09ee0c6710e'><marimo-table data-initial-value='[]' data-label='null' data-data='&quot;[{&#92;&quot;id&#92;&quot;:1,&#92;&quot;name&#92;&quot;:&#92;&quot;Allison Hill&#92;&quot;,&#92;&quot;email&#92;&quot;:&#92;&quot;donaldgarcia@example.net&#92;&quot;,&#92;&quot;phone&#92;&quot;:&#92;&quot;+1-219-560-0133&#92;&quot;,&#92;&quot;address&#92;&quot;:&#92;&quot;79402 Peterson Drives Apt. 511, Davisstad, PA 35172&#92;&quot;,&#92;&quot;city&#92;&quot;:&#92;&quot;Lake Stephenville&#92;&quot;,&#92;&quot;country&#92;&quot;:&#92;&quot;Uzbekistan&#92;&quot;,&#92;&quot;lat&#92;&quot;:11.612049,&#92;&quot;lon&#92;&quot;:-137.694467,&#92;&quot;birthdate&#92;&quot;:&#92;&quot;1979-06-08T00:00:00.000&#92;&quot;,&#92;&quot;job&#92;&quot;:&#92;&quot;Water engineer&#92;&quot;,&#92;&quot;company&#92;&quot;:&#92;&quot;Ray-Bush&#92;&quot;,&#92;&quot;product&#92;&quot;:&#92;&quot;answer&#92;&quot;,&#92;&quot;price&#92;&quot;:677.29,&#92;&quot;credit_card&#92;&quot;:&#92;&quot;4316475255341928325&#92;&quot;,&#92;&quot;iban&#92;&quot;:&#92;&quot;GB86OMIU83503056413953&#92;&quot;,&#92;&quot;timestamp&#92;&quot;:&#92;&quot;2023-09-16T18:47:11.290&#92;&quot;},{&#92;&quot;id&#92;&quot;:2,&#92;&quot;name&#92;&quot;:&#92;&quot;Thomas Ellis&#92;&quot;,&#92;&quot;email&#92;&quot;:&#92;&quot;donald88@example.com&#92;&quot;,&#92;&quot;phone&#92;&quot;:&#92;&quot;001-496-496-5328x7101&#92;&quot;,&#92;&quot;address&#92;&quot;:&#92;&quot;166 Rice Plaza Apt. 184, Danielchester, GA 59971&#92;&quot;,&#92;&quot;city&#92;&quot;:&#92;&quot;Lake Nancyview&#92;&quot;,&#92;&quot;country&#92;&quot;:&#92;&quot;Macao&#92;&quot;,&#92;&quot;lat&#92;&quot;:-42.043501,&#92;&quot;lon&#92;&quot;:92.559523,&#92;&quot;birthdate&#92;&quot;:&#92;&quot;2002-02-24T00:00:00.000&#92;&quot;,&#92;&quot;job&#92;&quot;:&#92;&quot;Hydrogeologist&#92;&quot;,&#92;&quot;company&#92;&quot;:&#92;&quot;Romero, Gonzalez and Brooks&#92;&quot;,&#92;&quot;product&#92;&quot;:&#92;&quot;color&#92;&quot;,&#92;&quot;price&#92;&quot;:552.99,&#92;&quot;credit_card&#92;&quot;:&#92;&quot;213195701543036&#92;&quot;,&#92;&quot;iban&#92;&quot;:&#92;&quot;GB45SCCX71822782489638&#92;&quot;,&#92;&quot;timestamp&#92;&quot;:&#92;&quot;2024-04-10T02:56:53.936&#92;&quot;},{&#92;&quot;id&#92;&quot;:3,&#92;&quot;name&#92;&quot;:&#92;&quot;Michelle Ross&#92;&quot;,&#92;&quot;email&#92;&quot;:&#92;&quot;samuel87@example.org&#92;&quot;,&#92;&quot;phone&#92;&quot;:&#92;&quot;531.250.9839&#92;&quot;,&#92;&quot;address&#92;&quot;:&#92;&quot;10518 Joshua Oval, New David, FM 75348&#92;&quot;,&#92;&quot;city&#92;&quot;:&#92;&quot;Sanchezfort&#92;&quot;,&#92;&quot;country&#92;&quot;:&#92;&quot;Sri Lanka&#92;&quot;,&#92;&quot;lat&#92;&quot;:19.269327,&#92;&quot;lon&#92;&quot;:-77.774453,&#92;&quot;birthdate&#92;&quot;:&#92;&quot;1950-08-07T00:00:00.000&#92;&quot;,&#92;&quot;job&#92;&quot;:&#92;&quot;Plant breeder/geneticist&#92;&quot;,&#92;&quot;company&#92;&quot;:&#92;&quot;Henderson-Owens&#92;&quot;,&#92;&quot;product&#92;&quot;:&#92;&quot;shoulder&#92;&quot;,&#92;&quot;price&#92;&quot;:55.86,&#92;&quot;credit_card&#92;&quot;:&#92;&quot;4065133387262473&#92;&quot;,&#92;&quot;iban&#92;&quot;:&#92;&quot;GB94HCOZ81080132677360&#92;&quot;,&#92;&quot;timestamp&#92;&quot;:&#92;&quot;2020-12-06T07:15:51.674&#92;&quot;},{&#92;&quot;id&#92;&quot;:4,&#92;&quot;name&#92;&quot;:&#92;&quot;James House&#92;&quot;,&#92;&quot;email&#92;&quot;:&#92;&quot;smitchell@example.net&#92;&quot;,&#92;&quot;phone&#92;&quot;:&#92;&quot;+1-272-734-3098&#92;&quot;,&#92;&quot;address&#92;&quot;:&#92;&quot;820 Melissa Cliff Apt. 361, New Brooke, RI 11246&#92;&quot;,&#92;&quot;city&#92;&quot;:&#92;&quot;Sandovalshire&#92;&quot;,&#92;&quot;country&#92;&quot;:&#92;&quot;Mali&#92;&quot;,&#92;&quot;lat&#92;&quot;:-5.0751165,&#92;&quot;lon&#92;&quot;:-40.002484,&#92;&quot;birthdate&#92;&quot;:&#92;&quot;1957-07-11T00:00:00.000&#92;&quot;,&#92;&quot;job&#92;&quot;:&#92;&quot;Interior and spatial designer&#92;&quot;,&#92;&quot;company&#92;&quot;:&#92;&quot;Baker and Sons&#92;&quot;,&#92;&quot;product&#92;&quot;:&#92;&quot;remain&#92;&quot;,&#92;&quot;price&#92;&quot;:660.38,&#92;&quot;credit_card&#92;&quot;:&#92;&quot;30510799118387&#92;&quot;,&#92;&quot;iban&#92;&quot;:&#92;&quot;GB42IELC35427849808412&#92;&quot;,&#92;&quot;timestamp&#92;&quot;:&#92;&quot;2021-06-30T15:32:19.489&#92;&quot;},{&#92;&quot;id&#92;&quot;:5,&#92;&quot;name&#92;&quot;:&#92;&quot;Natalie Moore&#92;&quot;,&#92;&quot;email&#92;&quot;:&#92;&quot;cassandra53@example.net&#92;&quot;,&#92;&quot;phone&#92;&quot;:&#92;&quot;+1-648-474-0164x0052&#92;&quot;,&#92;&quot;address&#92;&quot;:&#92;&quot;011 Amy Village Suite 982, Andersonport, MN 05730&#92;&quot;,&#92;&quot;city&#92;&quot;:&#92;&quot;Jasonbury&#92;&quot;,&#92;&quot;country&#92;&quot;:&#92;&quot;Papua New Guinea&#92;&quot;,&#92;&quot;lat&#92;&quot;:-62.406548,&#92;&quot;lon&#92;&quot;:9.879769,&#92;&quot;birthdate&#92;&quot;:&#92;&quot;1993-10-20T00:00:00.000&#92;&quot;,&#92;&quot;job&#92;&quot;:&#92;&quot;Optometrist&#92;&quot;,&#92;&quot;company&#92;&quot;:&#92;&quot;Brady, Frost and Young&#92;&quot;,&#92;&quot;product&#92;&quot;:&#92;&quot;commercial&#92;&quot;,&#92;&quot;price&#92;&quot;:999.22,&#92;&quot;credit_card&#92;&quot;:&#92;&quot;6011256342160738&#92;&quot;,&#92;&quot;iban&#92;&quot;:&#92;&quot;GB73GOLJ33036541458685&#92;&quot;,&#92;&quot;timestamp&#92;&quot;:&#92;&quot;2025-04-25T09:22:05.506&#92;&quot;},{&#92;&quot;id&#92;&quot;:6,&#92;&quot;name&#92;&quot;:&#92;&quot;Wesley White&#92;&quot;,&#92;&quot;email&#92;&quot;:&#92;&quot;benjamin96@example.com&#92;&quot;,&#92;&quot;phone&#92;&quot;:&#92;&quot;001-556-798-1693x4060&#92;&quot;,&#92;&quot;address&#92;&quot;:&#92;&quot;514 Estrada Islands Suite 482, South Elizabeth, MS 89278&#92;&quot;,&#92;&quot;city&#92;&quot;:&#92;&quot;New Ashley&#92;&quot;,&#92;&quot;country&#92;&quot;:&#92;&quot;Iraq&#92;&quot;,&#92;&quot;lat&#92;&quot;:57.085774,&#92;&quot;lon&#92;&quot;:-179.782063,&#92;&quot;birthdate&#92;&quot;:&#92;&quot;1963-10-20T00:00:00.000&#92;&quot;,&#92;&quot;job&#92;&quot;:&#92;&quot;Engineer, materials&#92;&quot;,&#92;&quot;company&#92;&quot;:&#92;&quot;Floyd-Lawson&#92;&quot;,&#92;&quot;product&#92;&quot;:&#92;&quot;fund&#92;&quot;,&#92;&quot;price&#92;&quot;:476.56,&#92;&quot;credit_card&#92;&quot;:&#92;&quot;30387214895133&#92;&quot;,&#92;&quot;iban&#92;&quot;:&#92;&quot;GB66VJHZ32003791769367&#92;&quot;,&#92;&quot;timestamp&#92;&quot;:&#92;&quot;2022-04-06T01:50:53.607&#92;&quot;},{&#92;&quot;id&#92;&quot;:7,&#92;&quot;name&#92;&quot;:&#92;&quot;Michael Stafford&#92;&quot;,&#92;&quot;email&#92;&quot;:&#92;&quot;osbornejeffery@example.net&#92;&quot;,&#92;&quot;phone&#92;&quot;:&#92;&quot;870.983.1727x88957&#92;&quot;,&#92;&quot;address&#92;&quot;:&#92;&quot;PSC 7743, Box 4873, APO AA 58155&#92;&quot;,&#92;&quot;city&#92;&quot;:&#92;&quot;Lake Justinview&#92;&quot;,&#92;&quot;country&#92;&quot;:&#92;&quot;Grenada&#92;&quot;,&#92;&quot;lat&#92;&quot;:-4.178618,&#92;&quot;lon&#92;&quot;:109.992016,&#92;&quot;birthdate&#92;&quot;:&#92;&quot;1949-09-25T00:00:00.000&#92;&quot;,&#92;&quot;job&#92;&quot;:&#92;&quot;Dentist&#92;&quot;,&#92;&quot;company&#92;&quot;:&#92;&quot;Reyes and Sons&#92;&quot;,&#92;&quot;product&#92;&quot;:&#92;&quot;seat&#92;&quot;,&#92;&quot;price&#92;&quot;:219.8,&#92;&quot;credit_card&#92;&quot;:&#92;&quot;6558760366909671&#92;&quot;,&#92;&quot;iban&#92;&quot;:&#92;&quot;GB23ALJY66889373467065&#92;&quot;,&#92;&quot;timestamp&#92;&quot;:&#92;&quot;2023-10-14T13:15:47.987&#92;&quot;},{&#92;&quot;id&#92;&quot;:8,&#92;&quot;name&#92;&quot;:&#92;&quot;Misty Pittman&#92;&quot;,&#92;&quot;email&#92;&quot;:&#92;&quot;tinaferguson@example.com&#92;&quot;,&#92;&quot;phone&#92;&quot;:&#92;&quot;001-690-816-2720&#92;&quot;,&#92;&quot;address&#92;&quot;:&#92;&quot;5646 Conley Mountains Apt. 805, Lake Casey, SD 05777&#92;&quot;,&#92;&quot;city&#92;&quot;:&#92;&quot;East Jamestown&#92;&quot;,&#92;&quot;country&#92;&quot;:&#92;&quot;Nigeria&#92;&quot;,&#92;&quot;lat&#92;&quot;:-49.0951755,&#92;&quot;lon&#92;&quot;:-51.93216,&#92;&quot;birthdate&#92;&quot;:&#92;&quot;1952-08-10T00:00:00.000&#92;&quot;,&#92;&quot;job&#92;&quot;:&#92;&quot;Colour technologist&#92;&quot;,&#92;&quot;company&#92;&quot;:&#92;&quot;Gould, Marshall and Scott&#92;&quot;,&#92;&quot;product&#92;&quot;:&#92;&quot;home&#92;&quot;,&#92;&quot;price&#92;&quot;:171.77,&#92;&quot;credit_card&#92;&quot;:&#92;&quot;3524190496631938&#92;&quot;,&#92;&quot;iban&#92;&quot;:&#92;&quot;GB50DWYJ91905865185067&#92;&quot;,&#92;&quot;timestamp&#92;&quot;:&#92;&quot;2020-08-06T03:32:15.725&#92;&quot;},{&#92;&quot;id&#92;&quot;:9,&#92;&quot;name&#92;&quot;:&#92;&quot;Madison Poole&#92;&quot;,&#92;&quot;email&#92;&quot;:&#92;&quot;ryangross@example.net&#92;&quot;,&#92;&quot;phone&#92;&quot;:&#92;&quot;998-577-6945x314&#92;&quot;,&#92;&quot;address&#92;&quot;:&#92;&quot;0752 Lewis Union Suite 549, Angelahaven, ID 11722&#92;&quot;,&#92;&quot;city&#92;&quot;:&#92;&quot;Lake Richard&#92;&quot;,&#92;&quot;country&#92;&quot;:&#92;&quot;Moldova&#92;&quot;,&#92;&quot;lat&#92;&quot;:-25.4885355,&#92;&quot;lon&#92;&quot;:75.600541,&#92;&quot;birthdate&#92;&quot;:&#92;&quot;1985-05-07T00:00:00.000&#92;&quot;,&#92;&quot;job&#92;&quot;:&#92;&quot;Recycling officer&#92;&quot;,&#92;&quot;company&#92;&quot;:&#92;&quot;Mcguire-Davis&#92;&quot;,&#92;&quot;product&#92;&quot;:&#92;&quot;do&#92;&quot;,&#92;&quot;price&#92;&quot;:414.88,&#92;&quot;credit_card&#92;&quot;:&#92;&quot;4957885685575&#92;&quot;,&#92;&quot;iban&#92;&quot;:&#92;&quot;GB57IJIH13518233749894&#92;&quot;,&#92;&quot;timestamp&#92;&quot;:&#92;&quot;2025-07-19T16:50:59.879&#92;&quot;},{&#92;&quot;id&#92;&quot;:10,&#92;&quot;name&#92;&quot;:&#92;&quot;Elizabeth Ward&#92;&quot;,&#92;&quot;email&#92;&quot;:&#92;&quot;alexis82@example.com&#92;&quot;,&#92;&quot;phone&#92;&quot;:&#92;&quot;6089427109&#92;&quot;,&#92;&quot;address&#92;&quot;:&#92;&quot;04711 Vasquez Ports Apt. 229, Christopherbury, DE 73648&#92;&quot;,&#92;&quot;city&#92;&quot;:&#92;&quot;Obrienbury&#92;&quot;,&#92;&quot;country&#92;&quot;:&#92;&quot;Singapore&#92;&quot;,&#92;&quot;lat&#92;&quot;:50.2769965,&#92;&quot;lon&#92;&quot;:24.213899,&#92;&quot;birthdate&#92;&quot;:&#92;&quot;1973-01-14T00:00:00.000&#92;&quot;,&#92;&quot;job&#92;&quot;:&#92;&quot;Probation officer&#92;&quot;,&#92;&quot;company&#92;&quot;:&#92;&quot;Dalton-Branch&#92;&quot;,&#92;&quot;product&#92;&quot;:&#92;&quot;focus&#92;&quot;,&#92;&quot;price&#92;&quot;:582.79,&#92;&quot;credit_card&#92;&quot;:&#92;&quot;676213341230&#92;&quot;,&#92;&quot;iban&#92;&quot;:&#92;&quot;GB17FRCF06797403447134&#92;&quot;,&#92;&quot;timestamp&#92;&quot;:&#92;&quot;2024-06-16T10:18:52.248&#92;&quot;}]&quot;' data-total-rows='10000' data-total-columns='17' data-max-columns='50' data-banner-text='&quot;&quot;' data-pagination='true' data-page-size='10' data-field-types='[[&quot;id&quot;, [&quot;integer&quot;, &quot;int64&quot;]], [&quot;name&quot;, [&quot;string&quot;, &quot;object&quot;]], [&quot;email&quot;, [&quot;string&quot;, &quot;object&quot;]], [&quot;phone&quot;, [&quot;string&quot;, &quot;object&quot;]], [&quot;address&quot;, [&quot;string&quot;, &quot;object&quot;]], [&quot;city&quot;, [&quot;string&quot;, &quot;object&quot;]], [&quot;country&quot;, [&quot;string&quot;, &quot;object&quot;]], [&quot;lat&quot;, [&quot;string&quot;, &quot;object&quot;]], [&quot;lon&quot;, [&quot;string&quot;, &quot;object&quot;]], [&quot;birthdate&quot;, [&quot;string&quot;, &quot;object&quot;]], [&quot;job&quot;, [&quot;string&quot;, &quot;object&quot;]], [&quot;company&quot;, [&quot;string&quot;, &quot;object&quot;]], [&quot;product&quot;, [&quot;string&quot;, &quot;object&quot;]], [&quot;price&quot;, [&quot;number&quot;, &quot;float64&quot;]], [&quot;credit_card&quot;, [&quot;string&quot;, &quot;object&quot;]], [&quot;iban&quot;, [&quot;string&quot;, &quot;object&quot;]], [&quot;timestamp&quot;, [&quot;datetime&quot;, &quot;datetime64[ns]&quot;]]]' data-show-filters='true' data-show-download='true' data-show-column-summaries='true' data-show-data-types='true' data-show-page-size-selector='true' data-show-column-explorer='true' data-show-chart-builder='true' data-row-headers='[]' data-has-stable-row-id='false' data-lazy='false' data-preload='false'></marimo-table></marimo-ui-element>"
          }
        }
      ],
      "console": []
    },
    {
      "id": "reND",
      "code_hash": "c2ce70e05eff3e96c21180d31e860304",
      "outputs": [
        {
          "type": "data",
          "data": {
            "text/html": "<span class=\"markdown prose dark:prose-invert\"><span class=\"paragraph\">Datos jer\u00e1rquicos como \u00e1rboles o grafos</span></span>"
          }
        }
      ],
      "console": []
    },
    {
      "id": "VkWD",
      "code_hash": "84bf79b32d486f2ff016c82686646f5a",
      "outputs": [
        {
          "type": "data",
          "data": {
            "text/html": "<marimo-ui-element object-id='VkWD-0' random-id='2ac1666a-3b8a-71c4-7bfc-c328d2e844c3'><marimo-table data-initial-value='[]' data-label='null' data-data='&quot;[{&#92;&quot;id&#92;&quot;:1,&#92;&quot;parent_id&#92;&quot;:null,&#92;&quot;node_name&#92;&quot;:&#92;&quot;front&#92;&quot;,&#92;&quot;level&#92;&quot;:0,&#92;&quot;weight&#92;&quot;:0.5934864228},{&#92;&quot;id&#92;&quot;:2,&#92;&quot;parent_id&#92;&quot;:1.0,&#92;&quot;node_name&#92;&quot;:&#92;&quot;toward&#92;&quot;,&#92;&quot;level&#92;&quot;:1,&#92;&quot;weight&#92;&quot;:0.5271155636},{&#92;&quot;id&#92;&quot;:3,&#92;&quot;parent_id&#92;&quot;:1.0,&#92;&quot;node_name&#92;&quot;:&#92;&quot;single&#92;&quot;,&#92;&quot;level&#92;&quot;:1,&#92;&quot;weight&#92;&quot;:0.7078433659},{&#92;&quot;id&#92;&quot;:4,&#92;&quot;parent_id&#92;&quot;:1.0,&#92;&quot;node_name&#92;&quot;:&#92;&quot;moment&#92;&quot;,&#92;&quot;level&#92;&quot;:1,&#92;&quot;weight&#92;&quot;:0.8898328069},{&#92;&quot;id&#92;&quot;:5,&#92;&quot;parent_id&#92;&quot;:1.0,&#92;&quot;node_name&#92;&quot;:&#92;&quot;community&#92;&quot;,&#92;&quot;level&#92;&quot;:1,&#92;&quot;weight&#92;&quot;:0.915118593},{&#92;&quot;id&#92;&quot;:6,&#92;&quot;parent_id&#92;&quot;:4.0,&#92;&quot;node_name&#92;&quot;:&#92;&quot;trial&#92;&quot;,&#92;&quot;level&#92;&quot;:1,&#92;&quot;weight&#92;&quot;:0.2832114436},{&#92;&quot;id&#92;&quot;:7,&#92;&quot;parent_id&#92;&quot;:1.0,&#92;&quot;node_name&#92;&quot;:&#92;&quot;light&#92;&quot;,&#92;&quot;level&#92;&quot;:1,&#92;&quot;weight&#92;&quot;:0.5045924691},{&#92;&quot;id&#92;&quot;:8,&#92;&quot;parent_id&#92;&quot;:null,&#92;&quot;node_name&#92;&quot;:&#92;&quot;address&#92;&quot;,&#92;&quot;level&#92;&quot;:0,&#92;&quot;weight&#92;&quot;:0.745295332},{&#92;&quot;id&#92;&quot;:9,&#92;&quot;parent_id&#92;&quot;:4.0,&#92;&quot;node_name&#92;&quot;:&#92;&quot;stage&#92;&quot;,&#92;&quot;level&#92;&quot;:1,&#92;&quot;weight&#92;&quot;:0.8489500775},{&#92;&quot;id&#92;&quot;:10,&#92;&quot;parent_id&#92;&quot;:8.0,&#92;&quot;node_name&#92;&quot;:&#92;&quot;also&#92;&quot;,&#92;&quot;level&#92;&quot;:1,&#92;&quot;weight&#92;&quot;:0.7711332326}]&quot;' data-total-rows='10000' data-total-columns='5' data-max-columns='50' data-banner-text='&quot;&quot;' data-pagination='true' data-page-size='10' data-field-types='[[&quot;id&quot;, [&quot;integer&quot;, &quot;int64&quot;]], [&quot;parent_id&quot;, [&quot;number&quot;, &quot;float64&quot;]], [&quot;node_name&quot;, [&quot;string&quot;, &quot;object&quot;]], [&quot;level&quot;, [&quot;integer&quot;, &quot;int64&quot;]], [&quot;weight&quot;, [&quot;number&quot;, &quot;float64&quot;]]]' data-show-filters='true' data-show-download='true' data-show-column-summaries='true' data-show-data-types='true' data-show-page-size-selector='true' data-show-column-explorer='true' data-show-chart-builder='true' data-row-headers='[]' data-has-stable-row-id='false' data-lazy='false' data-preload='false'></marimo-table></marimo-ui-element>"
          }
        }
      ],
      "console": []
    },
    {
      "id": "mEcC",
      "code_hash": "01fce7beb2146be67f4887f3a1d95ecf",
      "outputs": [
        {
          "type": "data",
          "data": {
            "text/html": "<span class=\"markdown prose dark:prose-invert\"><span class=\"paragraph\">Dataset aleatorio</span></span>"
          }
        }
      ],
      "console": []
    },
    {
      "id": "mbdC",
      "code_hash": "1dd604ff723cca1c8c8aaf46a2b3848b",
      "outputs": [
        {
          "type": "data",
          "data": {
            "text/html": "<marimo-ui-element object-id='mbdC-0' random-id='61543128-8be3-8021-5879-f7f3749be278'><marimo-table data-initial-value='[]' data-label='null' data-data='&quot;[{&#92;&quot;id&#92;&quot;:1,&#92;&quot;random_uniform&#92;&quot;:0.3745401188,&#92;&quot;random_normal&#92;&quot;:-1.4878617035,&#92;&quot;random_exponential&#92;&quot;:0.3076839839,&#92;&quot;time_series&#92;&quot;:7.2722847835,&#92;&quot;sin_signal&#92;&quot;:-0.1664232057,&#92;&quot;cos_signal&#92;&quot;:0.9286515396,&#92;&quot;poly_function&#92;&quot;:120.6963465281,&#92;&quot;random_matrix_val&#92;&quot;:0.119844681,&#92;&quot;timestamp&#92;&quot;:&#92;&quot;2020-01-01T00:00:00.000&#92;&quot;},{&#92;&quot;id&#92;&quot;:2,&#92;&quot;random_uniform&#92;&quot;:0.9507143064,&#92;&quot;random_normal&#92;&quot;:-1.1251861017,&#92;&quot;random_exponential&#92;&quot;:0.1404449573,&#92;&quot;time_series&#92;&quot;:-6.7614636315,&#92;&quot;sin_signal&#92;&quot;:0.0173383555,&#92;&quot;cos_signal&#92;&quot;:0.8855699234,&#92;&quot;poly_function&#92;&quot;:-18.424857636,&#92;&quot;random_matrix_val&#92;&quot;:0.2722005057,&#92;&quot;timestamp&#92;&quot;:&#92;&quot;2020-01-01T00:00:10.000&#92;&quot;},{&#92;&quot;id&#92;&quot;:3,&#92;&quot;random_uniform&#92;&quot;:0.7319939418,&#92;&quot;random_normal&#92;&quot;:0.3888189103,&#92;&quot;random_exponential&#92;&quot;:0.3491777976,&#92;&quot;time_series&#92;&quot;:4.0880846825,&#92;&quot;sin_signal&#92;&quot;:-0.1392539682,&#92;&quot;cos_signal&#92;&quot;:1.0956054034,&#92;&quot;poly_function&#92;&quot;:-97.1310388917,&#92;&quot;random_matrix_val&#92;&quot;:0.6487494364,&#92;&quot;timestamp&#92;&quot;:&#92;&quot;2020-01-01T00:00:20.000&#92;&quot;},{&#92;&quot;id&#92;&quot;:4,&#92;&quot;random_uniform&#92;&quot;:0.5986584842,&#92;&quot;random_normal&#92;&quot;:-1.1738733263,&#92;&quot;random_exponential&#92;&quot;:0.3035697026,&#92;&quot;time_series&#92;&quot;:7.2128447589,&#92;&quot;sin_signal&#92;&quot;:-0.1276978883,&#92;&quot;cos_signal&#92;&quot;:0.9927948975,&#92;&quot;poly_function&#92;&quot;:-22.6141042888,&#92;&quot;random_matrix_val&#92;&quot;:0.3047241919,&#92;&quot;timestamp&#92;&quot;:&#92;&quot;2020-01-01T00:00:30.000&#92;&quot;},{&#92;&quot;id&#92;&quot;:5,&#92;&quot;random_uniform&#92;&quot;:0.1560186404,&#92;&quot;random_normal&#92;&quot;:1.1126343052,&#92;&quot;random_exponential&#92;&quot;:1.0153142131,&#92;&quot;time_series&#92;&quot;:-9.4960913546,&#92;&quot;sin_signal&#92;&quot;:-0.0796813223,&#92;&quot;cos_signal&#92;&quot;:0.9056400828,&#92;&quot;poly_function&#92;&quot;:24.5392892491,&#92;&quot;random_matrix_val&#92;&quot;:0.3271809863,&#92;&quot;timestamp&#92;&quot;:&#92;&quot;2020-01-01T00:00:40.000&#92;&quot;},{&#92;&quot;id&#92;&quot;:6,&#92;&quot;random_uniform&#92;&quot;:0.1559945203,&#92;&quot;random_normal&#92;&quot;:-0.0711202908,&#92;&quot;random_exponential&#92;&quot;:3.0899556701,&#92;&quot;time_series&#92;&quot;:0.7447578658,&#92;&quot;sin_signal&#92;&quot;:0.1299810145,&#92;&quot;cos_signal&#92;&quot;:1.0514248867,&#92;&quot;poly_function&#92;&quot;:19.5529290387,&#92;&quot;random_matrix_val&#92;&quot;:0.5027076765,&#92;&quot;timestamp&#92;&quot;:&#92;&quot;2020-01-01T00:00:50.000&#92;&quot;},{&#92;&quot;id&#92;&quot;:7,&#92;&quot;random_uniform&#92;&quot;:0.0580836122,&#92;&quot;random_normal&#92;&quot;:0.0855947039,&#92;&quot;random_exponential&#92;&quot;:1.1575464869,&#92;&quot;time_series&#92;&quot;:3.6370762068,&#92;&quot;sin_signal&#92;&quot;:0.0845240337,&#92;&quot;cos_signal&#92;&quot;:0.9997002754,&#92;&quot;poly_function&#92;&quot;:41.984613863,&#92;&quot;random_matrix_val&#92;&quot;:0.4809102064,&#92;&quot;timestamp&#92;&quot;:&#92;&quot;2020-01-01T00:01:00.000&#92;&quot;},{&#92;&quot;id&#92;&quot;:8,&#92;&quot;random_uniform&#92;&quot;:0.8661761458,&#92;&quot;random_normal&#92;&quot;:-0.2783729676,&#92;&quot;random_exponential&#92;&quot;:2.6125047044,&#92;&quot;time_series&#92;&quot;:1.3298250213,&#92;&quot;sin_signal&#92;&quot;:0.0672554226,&#92;&quot;cos_signal&#92;&quot;:1.1044379882,&#92;&quot;poly_function&#92;&quot;:-29.6160437952,&#92;&quot;random_matrix_val&#92;&quot;:0.2124741094,&#92;&quot;timestamp&#92;&quot;:&#92;&quot;2020-01-01T00:01:10.000&#92;&quot;},{&#92;&quot;id&#92;&quot;:9,&#92;&quot;random_uniform&#92;&quot;:0.6011150117,&#92;&quot;random_normal&#92;&quot;:0.7728478385,&#92;&quot;random_exponential&#92;&quot;:1.5330893672,&#92;&quot;time_series&#92;&quot;:1.9707876788,&#92;&quot;sin_signal&#92;&quot;:-0.0462680867,&#92;&quot;cos_signal&#92;&quot;:1.0125336176,&#92;&quot;poly_function&#92;&quot;:-13.9168946121,&#92;&quot;random_matrix_val&#92;&quot;:0.7869171953,&#92;&quot;timestamp&#92;&quot;:&#92;&quot;2020-01-01T00:01:20.000&#92;&quot;},{&#92;&quot;id&#92;&quot;:10,&#92;&quot;random_uniform&#92;&quot;:0.7080725778,&#92;&quot;random_normal&#92;&quot;:0.7831598878,&#92;&quot;random_exponential&#92;&quot;:1.301503395,&#92;&quot;time_series&#92;&quot;:0.7711248128,&#92;&quot;sin_signal&#92;&quot;:0.0062117716,&#92;&quot;cos_signal&#92;&quot;:0.8552686993,&#92;&quot;poly_function&#92;&quot;:-122.5012008047,&#92;&quot;random_matrix_val&#92;&quot;:0.2231479589,&#92;&quot;timestamp&#92;&quot;:&#92;&quot;2020-01-01T00:01:30.000&#92;&quot;}]&quot;' data-total-rows='10000' data-total-columns='10' data-max-columns='50' data-banner-text='&quot;&quot;' data-pagination='true' data-page-size='10' data-field-types='[[&quot;id&quot;, [&quot;integer&quot;, &quot;int64&quot;]], [&quot;random_uniform&quot;, [&quot;number&quot;, &quot;float64&quot;]], [&quot;random_normal&quot;, [&quot;number&quot;, &quot;float64&quot;]], [&quot;random_exponential&quot;, [&quot;number&quot;, &quot;float64&quot;]], [&quot;time_series&quot;, [&quot;number&quot;, &quot;float64&quot;]], [&quot;sin_signal&quot;, [&quot;number&quot;, &quot;float64&quot;]], [&quot;cos_signal&quot;, [&quot;number&quot;, &quot;float64&quot;]], [&quot;poly_function&quot;, [&quot;number&quot;, &quot;float64&quot;]], [&quot;random_matrix_val&quot;, [&quot;number&quot;, &quot;float64&quot;]], [&quot;timestamp&quot;, [&quot;datetime&quot;, &quot;datetime64[ns]&quot;]]]' data-show-filters='true' data-show-download='true' data-show-column-summaries='true' data-show-data-types='true' data-show-page-size-selector='true' data-show-column-explorer='true' data-show-chart-builder='true' data-row-headers='[]' data-has-stable-row-id='false' data-lazy='false' data-preload='false'></marimo-table></marimo-ui-element>"
          }
        }
      ],
      "console": []
    },
    {
      "id": "hLbd",
      "code_hash": "80f0d654b49612dee9248e2e79302864",
      "outputs": [
        {
          "type": "data",
          "data": {
            "text/html": "<span class=\"markdown prose dark:prose-invert\"><span class=\"paragraph\">Datasets de texto</span></span>"
          }
        }
      ],
      "console": []
    },
    {
      "id": "NbbA",
      "code_hash": "0244c563d754b9584898b9bd5710da6c",
      "outputs": [
        {
          "type": "data",
          "data": {
            "text/html": "<marimo-ui-element object-id='NbbA-0' random-id='9b8b2d02-2441-1581-bf5d-3418daa8f25d'><marimo-table data-initial-value='[]' data-label='null' data-data='&quot;[{&#92;&quot;id&#92;&quot;:1,&#92;&quot;title&#92;&quot;:&#92;&quot;Maybe represent family.&#92;&quot;,&#92;&quot;paragraph&#92;&quot;:&#92;&quot;Him resource star play movement prepare wish. Easy lay short deep. Into along ago involve. Price likely be commercial after. Tend never worry single. Agency wait whole of certain describe analysis.&#92;&quot;,&#92;&quot;author&#92;&quot;:&#92;&quot;Tammy Decker&#92;&quot;,&#92;&quot;date&#92;&quot;:&#92;&quot;2023-12-02T00:00:00.000&#92;&quot;},{&#92;&quot;id&#92;&quot;:2,&#92;&quot;title&#92;&quot;:&#92;&quot;Past certain help hard first.&#92;&quot;,&#92;&quot;paragraph&#92;&quot;:&#92;&quot;Again trial decide watch amount catch. Wear ground create behind. Something discuss early peace between activity. Brother agreement natural family. Wind or bit leg open painting stuff per.&#92;&quot;,&#92;&quot;author&#92;&quot;:&#92;&quot;John Underwood&#92;&quot;,&#92;&quot;date&#92;&quot;:&#92;&quot;2021-08-23T00:00:00.000&#92;&quot;},{&#92;&quot;id&#92;&quot;:3,&#92;&quot;title&#92;&quot;:&#92;&quot;Would truth road necessary see begin forward myself.&#92;&quot;,&#92;&quot;paragraph&#92;&quot;:&#92;&quot;Let capital debate conference mean production. Include woman not address. Recognize performance past where use wrong cover. Edge food form. Two opportunity whom bed expect use admit. My hold leader page maintain against.&#92;&quot;,&#92;&quot;author&#92;&quot;:&#92;&quot;Nicole Coleman&#92;&quot;,&#92;&quot;date&#92;&quot;:&#92;&quot;2023-01-21T00:00:00.000&#92;&quot;},{&#92;&quot;id&#92;&quot;:4,&#92;&quot;title&#92;&quot;:&#92;&quot;Civil wonder discover five member billion.&#92;&quot;,&#92;&quot;paragraph&#92;&quot;:&#92;&quot;Note across table sing candidate. Present particularly age beyond. Will well star evidence around. Cup artist son none.&#92;&quot;,&#92;&quot;author&#92;&quot;:&#92;&quot;Dr. Hannah Kramer&#92;&quot;,&#92;&quot;date&#92;&quot;:&#92;&quot;2024-05-28T00:00:00.000&#92;&quot;},{&#92;&quot;id&#92;&quot;:5,&#92;&quot;title&#92;&quot;:&#92;&quot;Already century line bring give popular traditional.&#92;&quot;,&#92;&quot;paragraph&#92;&quot;:&#92;&quot;Meet claim huge training order matter. Conference race especially paper discuss budget. Show experience surface painting tell challenge capital. Reach stock upon space office method. Forward participant difficult stay attention receive worry. Trip success lot hold person cup capital wide.&#92;&quot;,&#92;&quot;author&#92;&quot;:&#92;&quot;Terry Deleon&#92;&quot;,&#92;&quot;date&#92;&quot;:&#92;&quot;2024-03-13T00:00:00.000&#92;&quot;},{&#92;&quot;id&#92;&quot;:6,&#92;&quot;title&#92;&quot;:&#92;&quot;Share despite include.&#92;&quot;,&#92;&quot;paragraph&#92;&quot;:&#92;&quot;Difference tell foot. Feel hair follow up generation program. Chance under trip perhaps just game one.&#92;&quot;,&#92;&quot;author&#92;&quot;:&#92;&quot;Janet Kelly&#92;&quot;,&#92;&quot;date&#92;&quot;:&#92;&quot;2020-02-17T00:00:00.000&#92;&quot;},{&#92;&quot;id&#92;&quot;:7,&#92;&quot;title&#92;&quot;:&#92;&quot;Down between never laugh name.&#92;&quot;,&#92;&quot;paragraph&#92;&quot;:&#92;&quot;Home general necessary recent rate mission. Book will loss treat approach series test claim. Into hair month animal about. Possible growth charge.&#92;&quot;,&#92;&quot;author&#92;&quot;:&#92;&quot;Monica Green&#92;&quot;,&#92;&quot;date&#92;&quot;:&#92;&quot;2024-04-18T00:00:00.000&#92;&quot;},{&#92;&quot;id&#92;&quot;:8,&#92;&quot;title&#92;&quot;:&#92;&quot;Affect you finally part behavior.&#92;&quot;,&#92;&quot;paragraph&#92;&quot;:&#92;&quot;Politics difficult feeling herself goal able color half. Country perhaps treat address large meet. Book dog and open media. Up upon you form. Push start step day alone prevent question anyone.&#92;&quot;,&#92;&quot;author&#92;&quot;:&#92;&quot;Lacey Woods&#92;&quot;,&#92;&quot;date&#92;&quot;:&#92;&quot;2024-04-24T00:00:00.000&#92;&quot;},{&#92;&quot;id&#92;&quot;:9,&#92;&quot;title&#92;&quot;:&#92;&quot;Sometimes upon feeling son.&#92;&quot;,&#92;&quot;paragraph&#92;&quot;:&#92;&quot;Strategy end give TV course everything these. Create article watch window contain. Campaign book allow edge thousand give color. Court affect spend. Ten to senior total almost house national direction.&#92;&quot;,&#92;&quot;author&#92;&quot;:&#92;&quot;James Lewis&#92;&quot;,&#92;&quot;date&#92;&quot;:&#92;&quot;2022-02-09T00:00:00.000&#92;&quot;},{&#92;&quot;id&#92;&quot;:10,&#92;&quot;title&#92;&quot;:&#92;&quot;Performance society present.&#92;&quot;,&#92;&quot;paragraph&#92;&quot;:&#92;&quot;Good win himself popular season. Seat property purpose stage address. Particular son amount soon. Voice less human.&#92;&quot;,&#92;&quot;author&#92;&quot;:&#92;&quot;Douglas Conway&#92;&quot;,&#92;&quot;date&#92;&quot;:&#92;&quot;2025-03-06T00:00:00.000&#92;&quot;}]&quot;' data-total-rows='10000' data-total-columns='5' data-max-columns='50' data-banner-text='&quot;&quot;' data-pagination='true' data-page-size='10' data-field-types='[[&quot;id&quot;, [&quot;integer&quot;, &quot;int64&quot;]], [&quot;title&quot;, [&quot;string&quot;, &quot;object&quot;]], [&quot;paragraph&quot;, [&quot;string&quot;, &quot;object&quot;]], [&quot;author&quot;, [&quot;string&quot;, &quot;object&quot;]], [&quot;date&quot;, [&quot;string&quot;, &quot;object&quot;]]]' data-show-filters='true' data-show-download='true' data-show-column-summaries='true' data-show-data-types='true' data-show-page-size-selector='true' data-show-column-explorer='true' data-show-chart-builder='true' data-row-headers='[]' data-has-stable-row-id='false' data-lazy='false' data-preload='false'></marimo-table></marimo-ui-element>"
          }
        }
      ],
      "console": []
    },
    {
      "id": "JmbN",
      "code_hash": "4be79a30f48cb9bb831206e86bfea70c",
      "outputs": [
        {
          "type": "data",
          "data": {
            "text/html": "<span class=\"markdown prose dark:prose-invert\"><span class=\"paragraph\">Twits aleatorios</span></span>"
          }
        }
      ],
      "console": []
    },
    {
      "id": "XsCG",
      "code_hash": "67f462fe2280502c766d907f2135a929",
      "outputs": [
        {
          "type": "data",
          "data": {
            "text/html": "<marimo-ui-element object-id='XsCG-0' random-id='372d17f7-071f-db73-aeb2-d2642b640ab7'><marimo-table data-initial-value='[]' data-label='null' data-data='&quot;[{&#92;&quot;id&#92;&quot;:1,&#92;&quot;username&#92;&quot;:&#92;&quot;cathy61&#92;&quot;,&#92;&quot;text&#92;&quot;:&#92;&quot;Pattern his sport information artist focus send change consumer scientist hand.&#92;&quot;,&#92;&quot;likes&#92;&quot;:541,&#92;&quot;shares&#92;&quot;:301,&#92;&quot;timestamp&#92;&quot;:&#92;&quot;2025-01-15T02:15:17.230&#92;&quot;},{&#92;&quot;id&#92;&quot;:2,&#92;&quot;username&#92;&quot;:&#92;&quot;linda92&#92;&quot;,&#92;&quot;text&#92;&quot;:&#92;&quot;Everybody law method trade institution heavy series require have image ago statement.&#92;&quot;,&#92;&quot;likes&#92;&quot;:242,&#92;&quot;shares&#92;&quot;:167,&#92;&quot;timestamp&#92;&quot;:&#92;&quot;2025-06-23T13:53:01.620&#92;&quot;},{&#92;&quot;id&#92;&quot;:3,&#92;&quot;username&#92;&quot;:&#92;&quot;joseph05&#92;&quot;,&#92;&quot;text&#92;&quot;:&#92;&quot;Former idea will interesting ago small line possible.&#92;&quot;,&#92;&quot;likes&#92;&quot;:888,&#92;&quot;shares&#92;&quot;:247,&#92;&quot;timestamp&#92;&quot;:&#92;&quot;2025-05-21T14:45:00.157&#92;&quot;},{&#92;&quot;id&#92;&quot;:4,&#92;&quot;username&#92;&quot;:&#92;&quot;lwallace&#92;&quot;,&#92;&quot;text&#92;&quot;:&#92;&quot;Fear themselves project price important different deal there seem charge seek difficult management some treatment play smile population child.&#92;&quot;,&#92;&quot;likes&#92;&quot;:384,&#92;&quot;shares&#92;&quot;:453,&#92;&quot;timestamp&#92;&quot;:&#92;&quot;2025-02-02T12:55:15.321&#92;&quot;},{&#92;&quot;id&#92;&quot;:5,&#92;&quot;username&#92;&quot;:&#92;&quot;randall29&#92;&quot;,&#92;&quot;text&#92;&quot;:&#92;&quot;Toward century pattern skill her no knowledge she quite.&#92;&quot;,&#92;&quot;likes&#92;&quot;:13,&#92;&quot;shares&#92;&quot;:113,&#92;&quot;timestamp&#92;&quot;:&#92;&quot;2025-03-18T12:32:24.688&#92;&quot;},{&#92;&quot;id&#92;&quot;:6,&#92;&quot;username&#92;&quot;:&#92;&quot;petersshane&#92;&quot;,&#92;&quot;text&#92;&quot;:&#92;&quot;Treat choice until administration.&#92;&quot;,&#92;&quot;likes&#92;&quot;:189,&#92;&quot;shares&#92;&quot;:346,&#92;&quot;timestamp&#92;&quot;:&#92;&quot;2025-07-20T16:26:53.716&#92;&quot;},{&#92;&quot;id&#92;&quot;:7,&#92;&quot;username&#92;&quot;:&#92;&quot;rpetersen&#92;&quot;,&#92;&quot;text&#92;&quot;:&#92;&quot;Sport our worker house why machine whether president young learn cultural country.&#92;&quot;,&#92;&quot;likes&#92;&quot;:333,&#92;&quot;shares&#92;&quot;:161,&#92;&quot;timestamp&#92;&quot;:&#92;&quot;2025-03-29T17:23:22.533&#92;&quot;},{&#92;&quot;id&#92;&quot;:8,&#92;&quot;username&#92;&quot;:&#92;&quot;johnsonrachel&#92;&quot;,&#92;&quot;text&#92;&quot;:&#92;&quot;Present tonight main employee east white ready nature federal oil.&#92;&quot;,&#92;&quot;likes&#92;&quot;:681,&#92;&quot;shares&#92;&quot;:156,&#92;&quot;timestamp&#92;&quot;:&#92;&quot;2025-01-18T21:00:58.903&#92;&quot;},{&#92;&quot;id&#92;&quot;:9,&#92;&quot;username&#92;&quot;:&#92;&quot;marcusbrown&#92;&quot;,&#92;&quot;text&#92;&quot;:&#92;&quot;Two read west past word manage because.&#92;&quot;,&#92;&quot;likes&#92;&quot;:933,&#92;&quot;shares&#92;&quot;:206,&#92;&quot;timestamp&#92;&quot;:&#92;&quot;2025-02-08T20:13:49.431&#92;&quot;},{&#92;&quot;id&#92;&quot;:10,&#92;&quot;username&#92;&quot;:&#92;&quot;roger89&#92;&quot;,&#92;&quot;text&#92;&quot;:&#92;&quot;Fight according economy memory doctor speech game indicate nor result.&#92;&quot;,&#92;&quot;likes&#92;&quot;:625,&#92;&quot;shares&#92;&quot;:326,&#92;&quot;timestamp&#92;&quot;:&#92;&quot;2025-02-11T22:34:16.621&#92;&quot;}]&quot;' data-total-rows='10000' data-total-columns='6' data-max-columns='50' data-banner-text='&quot;&quot;' data-pagination='true' data-page-size='10' data-field-types='[[&quot;id&quot;, [&quot;integer&quot;, &quot;int64&quot;]], [&quot;username&quot;, [&quot;string&quot;, &quot;object&quot;]], [&quot;text&quot;, [&quot;string&quot;, &quot;object&quot;]], [&quot;likes&quot;, [&quot;integer&quot;, &quot;int64&quot;]], [&quot;shares&quot;, [&quot;integer&quot;, &quot;int64&quot;]], [&quot;timestamp&quot;, [&quot;datetime&quot;, &quot;datetime64[ns]&quot;]]]' data-show-filters='true' data-show-download='true' data-show-column-summaries='true' data-show-data-types='true' data-show-page-size-selector='true' data-show-column-explorer='true' data-show-chart-builder='true' data-row-headers='[]' data-has-stable-row-id='false' data-lazy='false' data-preload='false'></marimo-table></marimo-ui-element>"
          }
        }
      ],
      "console": []
    },
    {
      "id": "XVXa",
      "code_hash": "1319ed832a14cbab7572176556b01c27",
      "outputs": [
        {
          "type": "data",
          "data": {
            "text/html": "<span class=\"markdown prose dark:prose-invert\"><span class=\"paragraph\">Logs de eventos aleatorios</span></span>"
          }
        }
      ],
      "console": []
    },
    {
      "id": "OczV",
      "code_hash": "8d11fededb8516d7026305beec0f1b48",
      "outputs": [
        {
          "type": "data",
          "data": {
            "text/html": "<marimo-ui-element object-id='OczV-0' random-id='64064006-7354-f8ca-7a1c-ff3ea321690e'><marimo-table data-initial-value='[]' data-label='null' data-data='&quot;[{&#92;&quot;id&#92;&quot;:1,&#92;&quot;timestamp&#92;&quot;:&#92;&quot;2025-06-28T03:04:09.614&#92;&quot;,&#92;&quot;level&#92;&quot;:&#92;&quot;DEBUG&#92;&quot;,&#92;&quot;service&#92;&quot;:&#92;&quot;api&#92;&quot;,&#92;&quot;message&#92;&quot;:&#92;&quot;As hotel summer pattern market because.&#92;&quot;},{&#92;&quot;id&#92;&quot;:2,&#92;&quot;timestamp&#92;&quot;:&#92;&quot;2025-07-31T19:24:25.145&#92;&quot;,&#92;&quot;level&#92;&quot;:&#92;&quot;ERROR&#92;&quot;,&#92;&quot;service&#92;&quot;:&#92;&quot;api&#92;&quot;,&#92;&quot;message&#92;&quot;:&#92;&quot;Market yeah son else.&#92;&quot;},{&#92;&quot;id&#92;&quot;:3,&#92;&quot;timestamp&#92;&quot;:&#92;&quot;2025-08-17T19:22:41.495&#92;&quot;,&#92;&quot;level&#92;&quot;:&#92;&quot;INFO&#92;&quot;,&#92;&quot;service&#92;&quot;:&#92;&quot;auth&#92;&quot;,&#92;&quot;message&#92;&quot;:&#92;&quot;Consider Congress measure itself could hit.&#92;&quot;},{&#92;&quot;id&#92;&quot;:4,&#92;&quot;timestamp&#92;&quot;:&#92;&quot;2025-02-02T04:59:10.634&#92;&quot;,&#92;&quot;level&#92;&quot;:&#92;&quot;WARNING&#92;&quot;,&#92;&quot;service&#92;&quot;:&#92;&quot;scheduler&#92;&quot;,&#92;&quot;message&#92;&quot;:&#92;&quot;Kind physical method listen above bad sense.&#92;&quot;},{&#92;&quot;id&#92;&quot;:5,&#92;&quot;timestamp&#92;&quot;:&#92;&quot;2025-08-22T22:51:52.103&#92;&quot;,&#92;&quot;level&#92;&quot;:&#92;&quot;ERROR&#92;&quot;,&#92;&quot;service&#92;&quot;:&#92;&quot;api&#92;&quot;,&#92;&quot;message&#92;&quot;:&#92;&quot;My test claim stock.&#92;&quot;},{&#92;&quot;id&#92;&quot;:6,&#92;&quot;timestamp&#92;&quot;:&#92;&quot;2025-06-10T03:45:14.383&#92;&quot;,&#92;&quot;level&#92;&quot;:&#92;&quot;INFO&#92;&quot;,&#92;&quot;service&#92;&quot;:&#92;&quot;auth&#92;&quot;,&#92;&quot;message&#92;&quot;:&#92;&quot;Growth between use stop.&#92;&quot;},{&#92;&quot;id&#92;&quot;:7,&#92;&quot;timestamp&#92;&quot;:&#92;&quot;2025-05-05T17:24:19.441&#92;&quot;,&#92;&quot;level&#92;&quot;:&#92;&quot;INFO&#92;&quot;,&#92;&quot;service&#92;&quot;:&#92;&quot;api&#92;&quot;,&#92;&quot;message&#92;&quot;:&#92;&quot;People opportunity however include view those heavy.&#92;&quot;},{&#92;&quot;id&#92;&quot;:8,&#92;&quot;timestamp&#92;&quot;:&#92;&quot;2025-08-14T11:50:22.502&#92;&quot;,&#92;&quot;level&#92;&quot;:&#92;&quot;ERROR&#92;&quot;,&#92;&quot;service&#92;&quot;:&#92;&quot;api&#92;&quot;,&#92;&quot;message&#92;&quot;:&#92;&quot;Difference event expert national.&#92;&quot;},{&#92;&quot;id&#92;&quot;:9,&#92;&quot;timestamp&#92;&quot;:&#92;&quot;2025-06-16T03:07:55.666&#92;&quot;,&#92;&quot;level&#92;&quot;:&#92;&quot;ERROR&#92;&quot;,&#92;&quot;service&#92;&quot;:&#92;&quot;api&#92;&quot;,&#92;&quot;message&#92;&quot;:&#92;&quot;Wrong so value boy road north religious.&#92;&quot;},{&#92;&quot;id&#92;&quot;:10,&#92;&quot;timestamp&#92;&quot;:&#92;&quot;2025-08-25T13:36:23.404&#92;&quot;,&#92;&quot;level&#92;&quot;:&#92;&quot;DEBUG&#92;&quot;,&#92;&quot;service&#92;&quot;:&#92;&quot;frontend&#92;&quot;,&#92;&quot;message&#92;&quot;:&#92;&quot;Strategy bed test as only cultural.&#92;&quot;}]&quot;' data-total-rows='10000' data-total-columns='5' data-max-columns='50' data-banner-text='&quot;&quot;' data-pagination='true' data-page-size='10' data-field-types='[[&quot;id&quot;, [&quot;integer&quot;, &quot;int64&quot;]], [&quot;timestamp&quot;, [&quot;datetime&quot;, &quot;datetime64[ns]&quot;]], [&quot;level&quot;, [&quot;string&quot;, &quot;object&quot;]], [&quot;service&quot;, [&quot;string&quot;, &quot;object&quot;]], [&quot;message&quot;, [&quot;string&quot;, &quot;object&quot;]]]' data-show-filters='true' data-show-download='true' data-show-column-summaries='true' data-show-data-types='true' data-show-page-size-selector='true' data-show-column-explorer='true' data-show-chart-builder='true' data-row-headers='[]' data-has-stable-row-id='false' data-lazy='false' data-preload='false'></marimo-table></marimo-ui-element>"
          }
        }
      ],
      "console": []
    },
    {
      "id": "MKyJ",
      "code_hash": null,
      "outputs": [
        {
          "type": "data",
          "data": {
            "text/plain": ""
          }
        }
      ],
      "console": []
    },
    {
      "id": "SAyP",
      "code_hash": "a31e71f383fb32bda4684ccdc685f829",
      "outputs": [
        {
          "type": "data",
          "data": {
            "text/html": "<span class=\"markdown prose dark:prose-invert\"><span class=\"paragraph\">Datos de im\u00e1genes</span></span>"
          }
        }
      ],
      "console": []
    },
    {
      "id": "bFIU",
      "code_hash": "af40186f604649630f77b168b287c161",
      "outputs": [
        {
          "type": "data",
          "data": {
            "text/html": "<marimo-ui-element object-id='bFIU-0' random-id='d7ebb08c-c4d8-4d33-75b1-2ddce3cae1cf'><marimo-table data-initial-value='[]' data-label='null' data-data='&quot;[{&#92;&quot;id&#92;&quot;:1,&#92;&quot;url&#92;&quot;:&#92;&quot;https://picsum.photos/id/0/400/300&#92;&quot;,&#92;&quot;width&#92;&quot;:400,&#92;&quot;height&#92;&quot;:300,&#92;&quot;category&#92;&quot;:&#92;&quot;tech&#92;&quot;,&#92;&quot;timestamp&#92;&quot;:&#92;&quot;2025-01-16T09:35:50.474&#92;&quot;},{&#92;&quot;id&#92;&quot;:2,&#92;&quot;url&#92;&quot;:&#92;&quot;https://picsum.photos/id/1/400/300&#92;&quot;,&#92;&quot;width&#92;&quot;:400,&#92;&quot;height&#92;&quot;:300,&#92;&quot;category&#92;&quot;:&#92;&quot;food&#92;&quot;,&#92;&quot;timestamp&#92;&quot;:&#92;&quot;2025-01-07T23:18:27.091&#92;&quot;},{&#92;&quot;id&#92;&quot;:3,&#92;&quot;url&#92;&quot;:&#92;&quot;https://picsum.photos/id/2/400/300&#92;&quot;,&#92;&quot;width&#92;&quot;:400,&#92;&quot;height&#92;&quot;:300,&#92;&quot;category&#92;&quot;:&#92;&quot;people&#92;&quot;,&#92;&quot;timestamp&#92;&quot;:&#92;&quot;2025-05-22T19:22:01.312&#92;&quot;},{&#92;&quot;id&#92;&quot;:4,&#92;&quot;url&#92;&quot;:&#92;&quot;https://picsum.photos/id/3/400/300&#92;&quot;,&#92;&quot;width&#92;&quot;:400,&#92;&quot;height&#92;&quot;:300,&#92;&quot;category&#92;&quot;:&#92;&quot;animals&#92;&quot;,&#92;&quot;timestamp&#92;&quot;:&#92;&quot;2025-05-17T09:41:46.214&#92;&quot;},{&#92;&quot;id&#92;&quot;:5,&#92;&quot;url&#92;&quot;:&#92;&quot;https://picsum.photos/id/4/400/300&#92;&quot;,&#92;&quot;width&#92;&quot;:400,&#92;&quot;height&#92;&quot;:300,&#92;&quot;category&#92;&quot;:&#92;&quot;animals&#92;&quot;,&#92;&quot;timestamp&#92;&quot;:&#92;&quot;2025-07-07T07:04:19.591&#92;&quot;},{&#92;&quot;id&#92;&quot;:6,&#92;&quot;url&#92;&quot;:&#92;&quot;https://picsum.photos/id/5/400/300&#92;&quot;,&#92;&quot;width&#92;&quot;:400,&#92;&quot;height&#92;&quot;:300,&#92;&quot;category&#92;&quot;:&#92;&quot;food&#92;&quot;,&#92;&quot;timestamp&#92;&quot;:&#92;&quot;2025-02-19T01:41:23.144&#92;&quot;},{&#92;&quot;id&#92;&quot;:7,&#92;&quot;url&#92;&quot;:&#92;&quot;https://picsum.photos/id/6/400/300&#92;&quot;,&#92;&quot;width&#92;&quot;:400,&#92;&quot;height&#92;&quot;:300,&#92;&quot;category&#92;&quot;:&#92;&quot;nature&#92;&quot;,&#92;&quot;timestamp&#92;&quot;:&#92;&quot;2025-01-29T13:45:46.405&#92;&quot;},{&#92;&quot;id&#92;&quot;:8,&#92;&quot;url&#92;&quot;:&#92;&quot;https://picsum.photos/id/7/400/300&#92;&quot;,&#92;&quot;width&#92;&quot;:400,&#92;&quot;height&#92;&quot;:300,&#92;&quot;category&#92;&quot;:&#92;&quot;food&#92;&quot;,&#92;&quot;timestamp&#92;&quot;:&#92;&quot;2025-05-30T00:06:34.773&#92;&quot;},{&#92;&quot;id&#92;&quot;:9,&#92;&quot;url&#92;&quot;:&#92;&quot;https://picsum.photos/id/8/400/300&#92;&quot;,&#92;&quot;width&#92;&quot;:400,&#92;&quot;height&#92;&quot;:300,&#92;&quot;category&#92;&quot;:&#92;&quot;tech&#92;&quot;,&#92;&quot;timestamp&#92;&quot;:&#92;&quot;2025-05-08T07:07:07.462&#92;&quot;},{&#92;&quot;id&#92;&quot;:10,&#92;&quot;url&#92;&quot;:&#92;&quot;https://picsum.photos/id/9/400/300&#92;&quot;,&#92;&quot;width&#92;&quot;:400,&#92;&quot;height&#92;&quot;:300,&#92;&quot;category&#92;&quot;:&#92;&quot;tech&#92;&quot;,&#92;&quot;timestamp&#92;&quot;:&#92;&quot;2025-07-01T23:29:25.649&#92;&quot;}]&quot;' data-total-rows='10000' data-total-columns='6' data-max-columns='50' data-banner-text='&quot;&quot;' data-pagination='true' data-page-size='10' data-field-types='[[&quot;id&quot;, [&quot;integer&quot;, &quot;int64&quot;]], [&quot;url&quot;, [&quot;string&quot;, &quot;object&quot;]], [&quot;width&quot;, [&quot;integer&quot;, &quot;int64&quot;]], [&quot;height&quot;, [&quot;integer&quot;, &quot;int64&quot;]], [&quot;category&quot;, [&quot;string&quot;, &quot;object&quot;]], [&quot;timestamp&quot;, [&quot;datetime&quot;, &quot;datetime64[ns]&quot;]]]' data-show-filters='true' data-show-download='true' data-show-column-summaries='true' data-show-data-types='true' data-show-page-size-selector='true' data-show-column-explorer='true' data-show-chart-builder='true' data-row-headers='[]' data-has-stable-row-id='false' data-lazy='false' data-preload='false'></marimo-table></marimo-ui-element>"
          }
        }
      ],
      "console": []
    },
    {
      "id": "TkaE",
      "code_hash": "77613dd7ca7a41d5fd6dfd2633e02437",
      "outputs": [
        {
          "type": "data",
          "data": {
            "text/html": "<span class=\"markdown prose dark:prose-invert\"><span class=\"paragraph\">Dataset con datos binarios</span></span>"
          }
        }
      ],
      "console": []
    },
    {
      "id": "jhWZ",
      "code_hash": "81a35e180cd772eb83bea2b33847a35a",
      "outputs": [
        {
          "type": "data",
          "data": {
            "text/html": "<marimo-ui-element object-id='jhWZ-0' random-id='53909531-e7a8-365e-6d81-299da057ea82'><marimo-table data-initial-value='[]' data-label='null' data-data='&quot;[{&#92;&quot;id&#92;&quot;:1,&#92;&quot;int_value&#92;&quot;:222,&#92;&quot;int_bin&#92;&quot;:&#92;&quot;11011110&#92;&quot;,&#92;&quot;char&#92;&quot;:&#92;&quot;L&#92;&quot;,&#92;&quot;ascii_bin&#92;&quot;:&#92;&quot;01001100&#92;&quot;,&#92;&quot;random_bits&#92;&quot;:&#92;&quot;0001101011111101&#92;&quot;,&#92;&quot;audio_sample&#92;&quot;:-28628,&#92;&quot;audio_bin&#92;&quot;:&#92;&quot;1001000000101100&#92;&quot;},{&#92;&quot;id&#92;&quot;:2,&#92;&quot;int_value&#92;&quot;:178,&#92;&quot;int_bin&#92;&quot;:&#92;&quot;10110010&#92;&quot;,&#92;&quot;char&#92;&quot;:&#92;&quot;N&#92;&quot;,&#92;&quot;ascii_bin&#92;&quot;:&#92;&quot;01001110&#92;&quot;,&#92;&quot;random_bits&#92;&quot;:&#92;&quot;1101011101101001&#92;&quot;,&#92;&quot;audio_sample&#92;&quot;:-7592,&#92;&quot;audio_bin&#92;&quot;:&#92;&quot;1110001001011000&#92;&quot;},{&#92;&quot;id&#92;&quot;:3,&#92;&quot;int_value&#92;&quot;:24,&#92;&quot;int_bin&#92;&quot;:&#92;&quot;00011000&#92;&quot;,&#92;&quot;char&#92;&quot;:&#92;&quot;W&#92;&quot;,&#92;&quot;ascii_bin&#92;&quot;:&#92;&quot;01010111&#92;&quot;,&#92;&quot;random_bits&#92;&quot;:&#92;&quot;1010101100111101&#92;&quot;,&#92;&quot;audio_sample&#92;&quot;:-8615,&#92;&quot;audio_bin&#92;&quot;:&#92;&quot;1101111001011001&#92;&quot;},{&#92;&quot;id&#92;&quot;:4,&#92;&quot;int_value&#92;&quot;:157,&#92;&quot;int_bin&#92;&quot;:&#92;&quot;10011101&#92;&quot;,&#92;&quot;char&#92;&quot;:&#92;&quot;K&#92;&quot;,&#92;&quot;ascii_bin&#92;&quot;:&#92;&quot;01001011&#92;&quot;,&#92;&quot;random_bits&#92;&quot;:&#92;&quot;0110010000001010&#92;&quot;,&#92;&quot;audio_sample&#92;&quot;:-25097,&#92;&quot;audio_bin&#92;&quot;:&#92;&quot;1001110111110111&#92;&quot;},{&#92;&quot;id&#92;&quot;:5,&#92;&quot;int_value&#92;&quot;:30,&#92;&quot;int_bin&#92;&quot;:&#92;&quot;00011110&#92;&quot;,&#92;&quot;char&#92;&quot;:&#92;&quot;Y&#92;&quot;,&#92;&quot;ascii_bin&#92;&quot;:&#92;&quot;01011001&#92;&quot;,&#92;&quot;random_bits&#92;&quot;:&#92;&quot;1010110000001101&#92;&quot;,&#92;&quot;audio_sample&#92;&quot;:-31883,&#92;&quot;audio_bin&#92;&quot;:&#92;&quot;1000001101110101&#92;&quot;},{&#92;&quot;id&#92;&quot;:6,&#92;&quot;int_value&#92;&quot;:245,&#92;&quot;int_bin&#92;&quot;:&#92;&quot;11110101&#92;&quot;,&#92;&quot;char&#92;&quot;:&#92;&quot;P&#92;&quot;,&#92;&quot;ascii_bin&#92;&quot;:&#92;&quot;01010000&#92;&quot;,&#92;&quot;random_bits&#92;&quot;:&#92;&quot;1100101100011011&#92;&quot;,&#92;&quot;audio_sample&#92;&quot;:-7837,&#92;&quot;audio_bin&#92;&quot;:&#92;&quot;1110000101100011&#92;&quot;},{&#92;&quot;id&#92;&quot;:7,&#92;&quot;int_value&#92;&quot;:110,&#92;&quot;int_bin&#92;&quot;:&#92;&quot;01101110&#92;&quot;,&#92;&quot;char&#92;&quot;:&#92;&quot;Y&#92;&quot;,&#92;&quot;ascii_bin&#92;&quot;:&#92;&quot;01011001&#92;&quot;,&#92;&quot;random_bits&#92;&quot;:&#92;&quot;0010010100000100&#92;&quot;,&#92;&quot;audio_sample&#92;&quot;:21307,&#92;&quot;audio_bin&#92;&quot;:&#92;&quot;0101001100111011&#92;&quot;},{&#92;&quot;id&#92;&quot;:8,&#92;&quot;int_value&#92;&quot;:222,&#92;&quot;int_bin&#92;&quot;:&#92;&quot;11011110&#92;&quot;,&#92;&quot;char&#92;&quot;:&#92;&quot;X&#92;&quot;,&#92;&quot;ascii_bin&#92;&quot;:&#92;&quot;01011000&#92;&quot;,&#92;&quot;random_bits&#92;&quot;:&#92;&quot;1100101110000010&#92;&quot;,&#92;&quot;audio_sample&#92;&quot;:29197,&#92;&quot;audio_bin&#92;&quot;:&#92;&quot;0111001000001101&#92;&quot;},{&#92;&quot;id&#92;&quot;:9,&#92;&quot;int_value&#92;&quot;:225,&#92;&quot;int_bin&#92;&quot;:&#92;&quot;11100001&#92;&quot;,&#92;&quot;char&#92;&quot;:&#92;&quot;K&#92;&quot;,&#92;&quot;ascii_bin&#92;&quot;:&#92;&quot;01001011&#92;&quot;,&#92;&quot;random_bits&#92;&quot;:&#92;&quot;1011001001111111&#92;&quot;,&#92;&quot;audio_sample&#92;&quot;:-5989,&#92;&quot;audio_bin&#92;&quot;:&#92;&quot;1110100010011011&#92;&quot;},{&#92;&quot;id&#92;&quot;:10,&#92;&quot;int_value&#92;&quot;:67,&#92;&quot;int_bin&#92;&quot;:&#92;&quot;01000011&#92;&quot;,&#92;&quot;char&#92;&quot;:&#92;&quot;B&#92;&quot;,&#92;&quot;ascii_bin&#92;&quot;:&#92;&quot;01000010&#92;&quot;,&#92;&quot;random_bits&#92;&quot;:&#92;&quot;0011001111110111&#92;&quot;,&#92;&quot;audio_sample&#92;&quot;:23644,&#92;&quot;audio_bin&#92;&quot;:&#92;&quot;0101110001011100&#92;&quot;}]&quot;' data-total-rows='10000' data-total-columns='8' data-max-columns='50' data-banner-text='&quot;&quot;' data-pagination='true' data-page-size='10' data-field-types='[[&quot;id&quot;, [&quot;integer&quot;, &quot;int64&quot;]], [&quot;int_value&quot;, [&quot;integer&quot;, &quot;int64&quot;]], [&quot;int_bin&quot;, [&quot;string&quot;, &quot;object&quot;]], [&quot;char&quot;, [&quot;string&quot;, &quot;object&quot;]], [&quot;ascii_bin&quot;, [&quot;string&quot;, &quot;object&quot;]], [&quot;random_bits&quot;, [&quot;string&quot;, &quot;object&quot;]], [&quot;audio_sample&quot;, [&quot;integer&quot;, &quot;int64&quot;]], [&quot;audio_bin&quot;, [&quot;string&quot;, &quot;object&quot;]]]' data-show-filters='true' data-show-download='true' data-show-column-summaries='true' data-show-data-types='true' data-show-page-size-selector='true' data-show-column-explorer='true' data-show-chart-builder='true' data-row-headers='[]' data-has-stable-row-id='false' data-lazy='false' data-preload='false'></marimo-table></marimo-ui-element>"
          }
        }
      ],
      "console": []
    },
    {
      "id": "BKFQ",
      "code_hash": "45aefd47ff8407ed2d21c510d59d4fc4",
      "outputs": [
        {
          "type": "data",
          "data": {
            "text/html": "<span class=\"markdown prose dark:prose-invert\"><span class=\"paragraph\">Dagaset con spectrograma de audio simulado</span></span>"
          }
        }
      ],
      "console": []
    },
    {
      "id": "HiPH",
      "code_hash": "34774a627b0bb24df6a0d5db94f9e437",
      "outputs": [
        {
          "type": "data",
          "data": {
            "text/html": "<marimo-ui-element object-id='HiPH-0' random-id='2ebc983f-4770-db2a-8f08-50651fc805b4'><marimo-table data-initial-value='[]' data-label='null' data-data='&quot;[{&#92;&quot;id&#92;&quot;:1,&#92;&quot;time&#92;&quot;:0.0,&#92;&quot;sin_440Hz&#92;&quot;:0.0,&#92;&quot;cos_880Hz&#92;&quot;:1.0,&#92;&quot;mix_220_330Hz&#92;&quot;:0.0,&#92;&quot;noise&#92;&quot;:-0.2518570163},{&#92;&quot;id&#92;&quot;:2,&#92;&quot;time&#92;&quot;:0.00010001,&#92;&quot;sin_440Hz&#92;&quot;:0.2729785343,&#92;&quot;cos_880Hz&#92;&quot;:0.8509654396,&#92;&quot;mix_220_330Hz&#92;&quot;:0.1718434422,&#92;&quot;noise&#92;&quot;:-0.3287383323},{&#92;&quot;id&#92;&quot;:3,&#92;&quot;time&#92;&quot;:0.00020002,&#92;&quot;sin_440Hz&#92;&quot;:0.5252216871,&#92;&quot;cos_880Hz&#92;&quot;:0.4482843588,&#92;&quot;mix_220_330Hz&#92;&quot;:0.3379614638,&#92;&quot;noise&#92;&quot;:-0.2395607923},{&#92;&quot;id&#92;&quot;:4,&#92;&quot;time&#92;&quot;:0.00030003,&#92;&quot;sin_440Hz&#92;&quot;:0.7375691312,&#92;&quot;cos_880Hz&#92;&quot;:-0.0880164466,&#92;&quot;mix_220_330Hz&#92;&quot;:0.4928427147,&#92;&quot;noise&#92;&quot;:-0.263465792},{&#92;&quot;id&#92;&quot;:5,&#92;&quot;time&#92;&quot;:0.00040004,&#92;&quot;sin_440Hz&#92;&quot;:0.8938910077,&#92;&quot;cos_880Hz&#92;&quot;:-0.5980822672,&#92;&quot;mix_220_330Hz&#92;&quot;:0.6313954091,&#92;&quot;noise&#92;&quot;:0.5182700419},{&#92;&quot;id&#92;&quot;:6,&#92;&quot;time&#92;&quot;:0.00050005,&#92;&quot;sin_440Hz&#92;&quot;:0.9823131457,&#92;&quot;cos_880Hz&#92;&quot;:-0.9298782323,&#92;&quot;mix_220_330Hz&#92;&quot;:0.7491360244,&#92;&quot;noise&#92;&quot;:-0.281110277},{&#92;&quot;id&#92;&quot;:7,&#92;&quot;time&#92;&quot;:0.00060006,&#92;&quot;sin_440Hz&#92;&quot;:0.9961190216,&#92;&quot;cos_880Hz&#92;&quot;:-0.9845062102,&#92;&quot;mix_220_330Hz&#92;&quot;:0.8423536803,&#92;&quot;noise&#92;&quot;:0.1390205124},{&#92;&quot;id&#92;&quot;:8,&#92;&quot;time&#92;&quot;:0.00070007,&#92;&quot;sin_440Hz&#92;&quot;:0.9342599445,&#92;&quot;cos_880Hz&#92;&quot;:-0.7456832877,&#92;&quot;mix_220_330Hz&#92;&quot;:0.9082436853,&#92;&quot;noise&#92;&quot;:0.24099092},{&#92;&quot;id&#92;&quot;:9,&#92;&quot;time&#92;&quot;:0.00080008,&#92;&quot;sin_440Hz&#92;&quot;:0.8014347145,&#92;&quot;cos_880Hz&#92;&quot;:-0.2845952033,&#92;&quot;mix_220_330Hz&#92;&quot;:0.9450050146,&#92;&quot;noise&#92;&quot;:0.3731568059},{&#92;&quot;id&#92;&quot;:10,&#92;&quot;time&#92;&quot;:0.00090009,&#92;&quot;sin_440Hz&#92;&quot;:0.6077327031,&#92;&quot;cos_880Hz&#92;&quot;:0.2613219232,&#92;&quot;mix_220_330Hz&#92;&quot;:0.9518979742,&#92;&quot;noise&#92;&quot;:0.2395301853}]&quot;' data-total-rows='10000' data-total-columns='6' data-max-columns='50' data-banner-text='&quot;&quot;' data-pagination='true' data-page-size='10' data-field-types='[[&quot;id&quot;, [&quot;integer&quot;, &quot;int64&quot;]], [&quot;time&quot;, [&quot;number&quot;, &quot;float64&quot;]], [&quot;sin_440Hz&quot;, [&quot;number&quot;, &quot;float64&quot;]], [&quot;cos_880Hz&quot;, [&quot;number&quot;, &quot;float64&quot;]], [&quot;mix_220_330Hz&quot;, [&quot;number&quot;, &quot;float64&quot;]], [&quot;noise&quot;, [&quot;number&quot;, &quot;float64&quot;]]]' data-show-filters='true' data-show-download='true' data-show-column-summaries='true' data-show-data-types='true' data-show-page-size-selector='true' data-show-column-explorer='true' data-show-chart-builder='true' data-row-headers='[]' data-has-stable-row-id='false' data-lazy='false' data-preload='false'></marimo-table></marimo-ui-element>"
          }
        }
      ],
      "console": []
    },
    {
      "id": "gkbl",
      "code_hash": "a3e68f02dac7aad8d3113d52ae717404",
      "outputs": [
        {
          "type": "data",
          "data": {
            "text/html": "<span class=\"markdown prose dark:prose-invert\"><span class=\"paragraph\">Datos Geogr\u00e1ficos</span></span>"
          }
        }
      ],
      "console": []
    },
    {
      "id": "okny",
      "code_hash": "7e8cdce37c59407b9e5fa9a9fb15c38a",
      "outputs": [
        {
          "type": "data",
          "data": {
            "text/html": "<span class=\"markdown prose dark:prose-invert\"><span class=\"paragraph\">Coordenadas de ciudades</span></span>"
          }
        }
      ],
      "console": []
    },
    {
      "id": "yXZL",
      "code_hash": "a2436d1829301c2a481f305c488a7226",
      "outputs": [
        {
          "type": "data",
          "data": {
            "text/html": "<marimo-ui-element object-id='yXZL-0' random-id='64facc12-4b87-8830-c8a9-3355fe39c08e'><marimo-table data-initial-value='[]' data-label='null' data-data='&quot;[{&#92;&quot;id&#92;&quot;:1,&#92;&quot;city&#92;&quot;:&#92;&quot;West Jenna&#92;&quot;,&#92;&quot;country&#92;&quot;:&#92;&quot;Turkey&#92;&quot;,&#92;&quot;lat&#92;&quot;:42.285208,&#92;&quot;lon&#92;&quot;:55.600086,&#92;&quot;population&#92;&quot;:7644691},{&#92;&quot;id&#92;&quot;:2,&#92;&quot;city&#92;&quot;:&#92;&quot;Lake Kelseyside&#92;&quot;,&#92;&quot;country&#92;&quot;:&#92;&quot;Saint Barthelemy&#92;&quot;,&#92;&quot;lat&#92;&quot;:24.930772,&#92;&quot;lon&#92;&quot;:46.534035,&#92;&quot;population&#92;&quot;:4122119},{&#92;&quot;id&#92;&quot;:3,&#92;&quot;city&#92;&quot;:&#92;&quot;Rhondaside&#92;&quot;,&#92;&quot;country&#92;&quot;:&#92;&quot;Marshall Islands&#92;&quot;,&#92;&quot;lat&#92;&quot;:82.486864,&#92;&quot;lon&#92;&quot;:54.543433,&#92;&quot;population&#92;&quot;:2664407},{&#92;&quot;id&#92;&quot;:4,&#92;&quot;city&#92;&quot;:&#92;&quot;Johnsonmouth&#92;&quot;,&#92;&quot;country&#92;&quot;:&#92;&quot;Belgium&#92;&quot;,&#92;&quot;lat&#92;&quot;:73.7794185,&#92;&quot;lon&#92;&quot;:71.841665,&#92;&quot;population&#92;&quot;:8028220},{&#92;&quot;id&#92;&quot;:5,&#92;&quot;city&#92;&quot;:&#92;&quot;Brownville&#92;&quot;,&#92;&quot;country&#92;&quot;:&#92;&quot;Togo&#92;&quot;,&#92;&quot;lat&#92;&quot;:54.1253545,&#92;&quot;lon&#92;&quot;:69.588411,&#92;&quot;population&#92;&quot;:3325234},{&#92;&quot;id&#92;&quot;:6,&#92;&quot;city&#92;&quot;:&#92;&quot;Chaneystad&#92;&quot;,&#92;&quot;country&#92;&quot;:&#92;&quot;Croatia&#92;&quot;,&#92;&quot;lat&#92;&quot;:24.766734,&#92;&quot;lon&#92;&quot;:111.783742,&#92;&quot;population&#92;&quot;:9803585},{&#92;&quot;id&#92;&quot;:7,&#92;&quot;city&#92;&quot;:&#92;&quot;West Michaelfurt&#92;&quot;,&#92;&quot;country&#92;&quot;:&#92;&quot;Saint Vincent and the Grenadines&#92;&quot;,&#92;&quot;lat&#92;&quot;:-36.4745415,&#92;&quot;lon&#92;&quot;:-144.673335,&#92;&quot;population&#92;&quot;:1441067},{&#92;&quot;id&#92;&quot;:8,&#92;&quot;city&#92;&quot;:&#92;&quot;Lake Brianmouth&#92;&quot;,&#92;&quot;country&#92;&quot;:&#92;&quot;United States of America&#92;&quot;,&#92;&quot;lat&#92;&quot;:-4.6795165,&#92;&quot;lon&#92;&quot;:-17.665379,&#92;&quot;population&#92;&quot;:5057122},{&#92;&quot;id&#92;&quot;:9,&#92;&quot;city&#92;&quot;:&#92;&quot;Lake Brianna&#92;&quot;,&#92;&quot;country&#92;&quot;:&#92;&quot;Honduras&#92;&quot;,&#92;&quot;lat&#92;&quot;:52.819042,&#92;&quot;lon&#92;&quot;:-80.509713,&#92;&quot;population&#92;&quot;:5403307},{&#92;&quot;id&#92;&quot;:10,&#92;&quot;city&#92;&quot;:&#92;&quot;New Caleb&#92;&quot;,&#92;&quot;country&#92;&quot;:&#92;&quot;Ethiopia&#92;&quot;,&#92;&quot;lat&#92;&quot;:-11.536642,&#92;&quot;lon&#92;&quot;:-100.338904,&#92;&quot;population&#92;&quot;:859238}]&quot;' data-total-rows='10000' data-total-columns='6' data-max-columns='50' data-banner-text='&quot;&quot;' data-pagination='true' data-page-size='10' data-field-types='[[&quot;id&quot;, [&quot;integer&quot;, &quot;int64&quot;]], [&quot;city&quot;, [&quot;string&quot;, &quot;object&quot;]], [&quot;country&quot;, [&quot;string&quot;, &quot;object&quot;]], [&quot;lat&quot;, [&quot;string&quot;, &quot;object&quot;]], [&quot;lon&quot;, [&quot;string&quot;, &quot;object&quot;]], [&quot;population&quot;, [&quot;integer&quot;, &quot;int64&quot;]]]' data-show-filters='true' data-show-download='true' data-show-column-summaries='true' data-show-data-types='true' data-show-page-size-selector='true' data-show-column-explorer='true' data-show-chart-builder='true' data-row-headers='[]' data-has-stable-row-id='false' data-lazy='false' data-preload='false'></marimo-table></marimo-ui-element>"
          }
        }
      ],
      "console": []
    },
    {
      "id": "vtiK",
      "code_hash": "777ffc96381f1a62d219fea9bffaa342",
      "outputs": [
        {
          "type": "data",
          "data": {
            "text/html": "<span class=\"markdown prose dark:prose-invert\"><span class=\"paragraph\">Puntos GPS aleatorios</span></span>"
          }
        }
      ],
      "console": []
    },
    {
      "id": "lLRv",
      "code_hash": "f09946bcccdc5e1f5069dd8784bac306",
      "outputs": [
        {
          "type": "data",
          "data": {
            "text/html": "<marimo-ui-element object-id='lLRv-0' random-id='de74b82d-23c8-652a-e261-2623d678ac4b'><marimo-table data-initial-value='[]' data-label='null' data-data='&quot;[{&#92;&quot;id&#92;&quot;:1,&#92;&quot;lat&#92;&quot;:18.5282892664,&#92;&quot;lon&#92;&quot;:-87.6647590399,&#92;&quot;altitude&#92;&quot;:2307.5090754615},{&#92;&quot;id&#92;&quot;:2,&#92;&quot;lat&#92;&quot;:2.051545649,&#92;&quot;lon&#92;&quot;:133.0656582179,&#92;&quot;altitude&#92;&quot;:431.882650888},{&#92;&quot;id&#92;&quot;:3,&#92;&quot;lat&#92;&quot;:-15.726116603,&#92;&quot;lon&#92;&quot;:164.8512263798,&#92;&quot;altitude&#92;&quot;:4913.6407498289},{&#92;&quot;id&#92;&quot;:4,&#92;&quot;lat&#92;&quot;:-11.1219948235,&#92;&quot;lon&#92;&quot;:-71.8899140864,&#92;&quot;altitude&#92;&quot;:2895.4562166191},{&#92;&quot;id&#92;&quot;:5,&#92;&quot;lat&#92;&quot;:-14.742753185,&#92;&quot;lon&#92;&quot;:172.3644196241,&#92;&quot;altitude&#92;&quot;:2247.6633910168},{&#92;&quot;id&#92;&quot;:6,&#92;&quot;lat&#92;&quot;:14.6709888626,&#92;&quot;lon&#92;&quot;:-33.2906306394,&#92;&quot;altitude&#92;&quot;:3620.1002854295},{&#92;&quot;id&#92;&quot;:7,&#92;&quot;lat&#92;&quot;:-88.8583733038,&#92;&quot;lon&#92;&quot;:-114.5729185309,&#92;&quot;altitude&#92;&quot;:3233.944509193},{&#92;&quot;id&#92;&quot;:8,&#92;&quot;lat&#92;&quot;:30.1095680303,&#92;&quot;lon&#92;&quot;:44.664063361,&#92;&quot;altitude&#92;&quot;:777.5857637791},{&#92;&quot;id&#92;&quot;:9,&#92;&quot;lat&#92;&quot;:-57.7744930861,&#92;&quot;lon&#92;&quot;:-139.284150085,&#92;&quot;altitude&#92;&quot;:2351.793585692},{&#92;&quot;id&#92;&quot;:10,&#92;&quot;lat&#92;&quot;:77.5553285272,&#92;&quot;lon&#92;&quot;:-20.6269295358,&#92;&quot;altitude&#92;&quot;:3479.8411539899}]&quot;' data-total-rows='10000' data-total-columns='4' data-max-columns='50' data-banner-text='&quot;&quot;' data-pagination='true' data-page-size='10' data-field-types='[[&quot;id&quot;, [&quot;integer&quot;, &quot;int64&quot;]], [&quot;lat&quot;, [&quot;number&quot;, &quot;float64&quot;]], [&quot;lon&quot;, [&quot;number&quot;, &quot;float64&quot;]], [&quot;altitude&quot;, [&quot;number&quot;, &quot;float64&quot;]]]' data-show-filters='true' data-show-download='true' data-show-column-summaries='true' data-show-data-types='true' data-show-page-size-selector='true' data-show-column-explorer='true' data-show-chart-builder='true' data-row-headers='[]' data-has-stable-row-id='false' data-lazy='false' data-preload='false'></marimo-table></marimo-ui-element>"
          }
        }
      ],
      "console": []
    },
    {
      "id": "fHEl",
      "code_hash": "6d6759e82d448f9c36693edc0bdc394f",
      "outputs": [
        {
          "type": "data",
          "data": {
            "text/html": "<span class=\"markdown prose dark:prose-invert\"><span class=\"paragraph\">Rutas simuladas</span></span>"
          }
        }
      ],
      "console": []
    },
    {
      "id": "svWg",
      "code_hash": "06ea806be8cecf6826e67c880b3eefec",
      "outputs": [
        {
          "type": "data",
          "data": {
            "text/html": "<marimo-ui-element object-id='svWg-0' random-id='fdb5b138-93a1-aa2c-459f-843849387e00'><marimo-table data-initial-value='[]' data-label='null' data-data='&quot;[{&#92;&quot;id&#92;&quot;:1,&#92;&quot;start_lat&#92;&quot;:62.1406724979,&#92;&quot;start_lon&#92;&quot;:-78.8211463197,&#92;&quot;end_lat&#92;&quot;:62.3674193121,&#92;&quot;end_lon&#92;&quot;:-78.5452696974,&#92;&quot;distance_km&#92;&quot;:39.64},{&#92;&quot;id&#92;&quot;:2,&#92;&quot;start_lat&#92;&quot;:83.934161019,&#92;&quot;start_lon&#92;&quot;:165.9367709182,&#92;&quot;end_lat&#92;&quot;:84.0348491306,&#92;&quot;end_lon&#92;&quot;:165.7480076728,&#92;&quot;distance_km&#92;&quot;:23.75},{&#92;&quot;id&#92;&quot;:3,&#92;&quot;start_lat&#92;&quot;:-80.7170479409,&#92;&quot;start_lon&#92;&quot;:-55.5731233475,&#92;&quot;end_lat&#92;&quot;:-81.29870437,&#92;&quot;end_lon&#92;&quot;:-55.9542025585,&#92;&quot;distance_km&#92;&quot;:77.19},{&#92;&quot;id&#92;&quot;:4,&#92;&quot;start_lat&#92;&quot;:-78.229901375,&#92;&quot;start_lon&#92;&quot;:26.124690575,&#92;&quot;end_lat&#92;&quot;:-78.1524817923,&#92;&quot;end_lon&#92;&quot;:25.3578945888,&#92;&quot;distance_km&#92;&quot;:85.55},{&#92;&quot;id&#92;&quot;:5,&#92;&quot;start_lat&#92;&quot;:-45.9690261618,&#92;&quot;start_lon&#92;&quot;:-51.7016266586,&#92;&quot;end_lat&#92;&quot;:-45.6656185228,&#92;&quot;end_lon&#92;&quot;:-51.6932096588,&#92;&quot;distance_km&#92;&quot;:33.69},{&#92;&quot;id&#92;&quot;:6,&#92;&quot;start_lat&#92;&quot;:18.7371803139,&#92;&quot;start_lon&#92;&quot;:113.5682838077,&#92;&quot;end_lat&#92;&quot;:18.6072262186,&#92;&quot;end_lon&#92;&quot;:114.2012888811,&#92;&quot;distance_km&#92;&quot;:71.73},{&#92;&quot;id&#92;&quot;:7,&#92;&quot;start_lat&#92;&quot;:30.4984667503,&#92;&quot;start_lon&#92;&quot;:-61.3111495908,&#92;&quot;end_lat&#92;&quot;:29.5776895273,&#92;&quot;end_lon&#92;&quot;:-61.4350873781,&#92;&quot;distance_km&#92;&quot;:103.13},{&#92;&quot;id&#92;&quot;:8,&#92;&quot;start_lat&#92;&quot;:-53.0523153339,&#92;&quot;start_lon&#92;&quot;:-71.9391719805,&#92;&quot;end_lat&#92;&quot;:-52.6867461861,&#92;&quot;end_lon&#92;&quot;:-72.578397118,&#92;&quot;distance_km&#92;&quot;:81.74},{&#92;&quot;id&#92;&quot;:9,&#92;&quot;start_lat&#92;&quot;:3.0277883409,&#92;&quot;start_lon&#92;&quot;:-61.1912859462,&#92;&quot;end_lat&#92;&quot;:3.5962805726,&#92;&quot;end_lon&#92;&quot;:-61.5720678082,&#92;&quot;distance_km&#92;&quot;:75.95},{&#92;&quot;id&#92;&quot;:10,&#92;&quot;start_lat&#92;&quot;:25.6712007629,&#92;&quot;start_lon&#92;&quot;:143.1884860771,&#92;&quot;end_lat&#92;&quot;:25.244659509,&#92;&quot;end_lon&#92;&quot;:143.2048502866,&#92;&quot;distance_km&#92;&quot;:47.38}]&quot;' data-total-rows='10000' data-total-columns='6' data-max-columns='50' data-banner-text='&quot;&quot;' data-pagination='true' data-page-size='10' data-field-types='[[&quot;id&quot;, [&quot;integer&quot;, &quot;int64&quot;]], [&quot;start_lat&quot;, [&quot;number&quot;, &quot;float64&quot;]], [&quot;start_lon&quot;, [&quot;number&quot;, &quot;float64&quot;]], [&quot;end_lat&quot;, [&quot;number&quot;, &quot;float64&quot;]], [&quot;end_lon&quot;, [&quot;number&quot;, &quot;float64&quot;]], [&quot;distance_km&quot;, [&quot;number&quot;, &quot;float64&quot;]]]' data-show-filters='true' data-show-download='true' data-show-column-summaries='true' data-show-data-types='true' data-show-page-size-selector='true' data-show-column-explorer='true' data-show-chart-builder='true' data-row-headers='[]' data-has-stable-row-id='false' data-lazy='false' data-preload='false'></marimo-table></marimo-ui-element>"
          }
        }
      ],
      "console": []
    },
    {
      "id": "VXQU",
      "code_hash": "e6eea73b7eff884557b3002adff498e2",
      "outputs": [
        {
          "type": "data",
          "data": {
            "text/html": "<span class=\"markdown prose dark:prose-invert\"><span class=\"paragraph\">Clusters geogr\u00e1ficos</span></span>"
          }
        }
      ],
      "console": []
    },
    {
      "id": "VzDk",
      "code_hash": "ef9361e14441d3cc1b0108df938261f0",
      "outputs": [
        {
          "type": "data",
          "data": {
            "text/html": "<marimo-ui-element object-id='VzDk-0' random-id='ef4cbe91-c4bc-f0d7-b9e1-d3c348ee8746'><marimo-table data-initial-value='[]' data-label='null' data-data='&quot;[{&#92;&quot;id&#92;&quot;:1,&#92;&quot;cluster_name&#92;&quot;:&#92;&quot;Madrid&#92;&quot;,&#92;&quot;lat&#92;&quot;:40.441013681,&#92;&quot;lon&#92;&quot;:-3.8421236877,&#92;&quot;intensity&#92;&quot;:69},{&#92;&quot;id&#92;&quot;:2,&#92;&quot;cluster_name&#92;&quot;:&#92;&quot;Los Angeles&#92;&quot;,&#92;&quot;lat&#92;&quot;:33.9720387128,&#92;&quot;lon&#92;&quot;:-118.2289318989,&#92;&quot;intensity&#92;&quot;:58},{&#92;&quot;id&#92;&quot;:3,&#92;&quot;cluster_name&#92;&quot;:&#92;&quot;Tokyo&#92;&quot;,&#92;&quot;lat&#92;&quot;:35.7355845567,&#92;&quot;lon&#92;&quot;:139.404430877,&#92;&quot;intensity&#92;&quot;:39},{&#92;&quot;id&#92;&quot;:4,&#92;&quot;cluster_name&#92;&quot;:&#92;&quot;Los Angeles&#92;&quot;,&#92;&quot;lat&#92;&quot;:34.0605925435,&#92;&quot;lon&#92;&quot;:-118.0792973762,&#92;&quot;intensity&#92;&quot;:16},{&#92;&quot;id&#92;&quot;:5,&#92;&quot;cluster_name&#92;&quot;:&#92;&quot;Los Angeles&#92;&quot;,&#92;&quot;lat&#92;&quot;:33.9008388264,&#92;&quot;lon&#92;&quot;:-118.1650925371,&#92;&quot;intensity&#92;&quot;:50},{&#92;&quot;id&#92;&quot;:6,&#92;&quot;cluster_name&#92;&quot;:&#92;&quot;Los Angeles&#92;&quot;,&#92;&quot;lat&#92;&quot;:34.2346904123,&#92;&quot;lon&#92;&quot;:-118.2517472217,&#92;&quot;intensity&#92;&quot;:15},{&#92;&quot;id&#92;&quot;:7,&#92;&quot;cluster_name&#92;&quot;:&#92;&quot;Madrid&#92;&quot;,&#92;&quot;lat&#92;&quot;:40.3865036376,&#92;&quot;lon&#92;&quot;:-3.7242623697,&#92;&quot;intensity&#92;&quot;:79},{&#92;&quot;id&#92;&quot;:8,&#92;&quot;cluster_name&#92;&quot;:&#92;&quot;Madrid&#92;&quot;,&#92;&quot;lat&#92;&quot;:40.3782077409,&#92;&quot;lon&#92;&quot;:-3.6799180506,&#92;&quot;intensity&#92;&quot;:66},{&#92;&quot;id&#92;&quot;:9,&#92;&quot;cluster_name&#92;&quot;:&#92;&quot;Los Angeles&#92;&quot;,&#92;&quot;lat&#92;&quot;:34.2354235169,&#92;&quot;lon&#92;&quot;:-118.2335545171,&#92;&quot;intensity&#92;&quot;:73},{&#92;&quot;id&#92;&quot;:10,&#92;&quot;cluster_name&#92;&quot;:&#92;&quot;Madrid&#92;&quot;,&#92;&quot;lat&#92;&quot;:40.4444657921,&#92;&quot;lon&#92;&quot;:-3.8870126653,&#92;&quot;intensity&#92;&quot;:29}]&quot;' data-total-rows='10000' data-total-columns='5' data-max-columns='50' data-banner-text='&quot;&quot;' data-pagination='true' data-page-size='10' data-field-types='[[&quot;id&quot;, [&quot;integer&quot;, &quot;int64&quot;]], [&quot;cluster_name&quot;, [&quot;string&quot;, &quot;object&quot;]], [&quot;lat&quot;, [&quot;number&quot;, &quot;float64&quot;]], [&quot;lon&quot;, [&quot;number&quot;, &quot;float64&quot;]], [&quot;intensity&quot;, [&quot;integer&quot;, &quot;int64&quot;]]]' data-show-filters='true' data-show-download='true' data-show-column-summaries='true' data-show-data-types='true' data-show-page-size-selector='true' data-show-column-explorer='true' data-show-chart-builder='true' data-row-headers='[]' data-has-stable-row-id='false' data-lazy='false' data-preload='false'></marimo-table></marimo-ui-element>"
          }
        }
      ],
      "console": []
    }
  ]
}